﻿@publishTestResults @bypass-integration
Feature: Publish Python Behave JUnit XML Test Results

@tc:193
Scenario: Publish a Python Behave XML Scenario test result
	Given there is a remote server project prepared for publishing test results
	And there is an existing synchronized feature file
		"""
		Feature: Sample feature

		@tc:[id-of-test-case]
		Scenario: Sample scenario
			When I do something
			Then there should be something
		"""
	And there is a Python Behave XML test result file as
		"""
		<testsuite name="SampleFeature.Sample feature" tests="1" errors="0" failures="0" skipped="0"
		  time="0.0" timestamp="2025-04-09T16:57:48.385600" hostname="SPECSOL-D02">
		  <testcase classname="SampleFeature.Sample feature" name="Sample scenario" status="passed"
			time="0.0">
			<system-out>
		<![CDATA[
		@scenario.begin

		  @tc:[id-of-test-case]
		  Scenario: Sample scenario
			When I do something ... passed in 0.000s
			Then there should be something ... passed in 0.000s

		@scenario.end
		--------------------------------------------------------------------------------
		]]>
		</system-out>
		  </testcase>
		</testsuite>
		"""
	When the test result is published to Test Configuration "Windows 8"
	Then the command should not fail
	And the there should be a Test Run registered with test results
		| test case ID      | outcome | step outcomes |
		| [id-of-test-case] | Passed  | Passed,Passed |

@tc:194
Scenario: Publish a Python Behave XML Scenario Outline test result
	Given there is a remote server project prepared for publishing test results
	And there is an existing synchronized feature file
		"""
		Feature: Sample feature

		@tc:[id-of-test-case]
		Scenario Outline: Sample scenario outline
			Given there is something
			When I do <what>
			Then there should be something
		Examples:
			| what            |
			| something       |
			| something wrong |
		"""
	And there is a Python Behave XML test result file as
		"""
		<testsuite name="SampleFeature.Sample feature" tests="2" errors="0" failures="1" skipped="0"
		  time="0.0" timestamp="2025-04-09T17:07:37.752487" hostname="SPECSOL-D02">
		  <testcase classname="SampleFeature.Sample feature" name="Sample scenario outline -- @1.1 "
			status="passed" time="0.0">
			<system-out>
		<![CDATA[
		@scenario.begin

		  @tc:1043951
		  Scenario Outline: Sample scenario outline -- @1.1 
			Given there is something ... passed in 0.000s
			When I do something ... passed in 0.000s
			Then there should be something ... passed in 0.000s

		@scenario.end
		--------------------------------------------------------------------------------
		]]>
		</system-out>
		  </testcase>
		  <testcase classname="SampleFeature.Sample feature" name="Sample scenario outline -- @1.2 "
			status="failed" time="0.0">
			<failure type="AssertionError" message="simulated error">
		<![CDATA[
		Failing step: When I do something wrong ... failed in 0.000s
		Location: features/SampleFeature.feature:6
		Assertion Failed: simulated error]]>
		</failure>
			<system-out>
		<![CDATA[
		@scenario.begin

		  @tc:1043951
		  Scenario Outline: Sample scenario outline -- @1.2 
			Given there is something ... passed in 0.000s
			When I do something wrong ... failed in 0.000s
			Then there should be something ... skipped in 0.000s

		@scenario.end
		--------------------------------------------------------------------------------
		]]>
		</system-out>
		  </testcase>
		</testsuite>
		"""
	When the test result is published successfully
	Then the there should be a Test Run registered with test results
		| test case ID      | outcome | iteration outcomes | iteration step outcomes                            |
		| [id-of-test-case] | Failed  | (Passed),(Failed)  | (Passed,Passed,Passed),(Passed,Failed,NotExecuted) |
